Mailinglist Archive: opensuse-bugs (6588 mails)

< Previous Next >
[Bug 1143134] New: Can't install java-10-openjdk
  • From: bugzilla_noreply@xxxxxxxxxx
  • Date: Sun, 28 Jul 2019 09:48:29 +0000
  • Message-id: <bug-1143134-21960@http.bugzilla.opensuse.org/>
http://bugzilla.opensuse.org/show_bug.cgi?id=1143134


Bug ID: 1143134
Summary: Can't install java-10-openjdk
Classification: openSUSE
Product: openSUSE Distribution
Version: Leap 15.1
Hardware: Other
OS: Other
Status: NEW
Severity: Normal
Priority: P5 - None
Component: Java
Assignee: fstrba@xxxxxxxx
Reporter: bnacht@xxxxxx
QA Contact: qa-bugs@xxxxxxx
CC: suse-beta@xxxxxxxxx
Found By: ---
Blocker: ---

It is not possible to install openJDK 10 in LEAP15.1 as additional version.

==========================
~/tmp> sudo zypper in java-10-openjdk
[sudo] password for root:
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: installed java-11-openjdk-11.0.3.0-lp151.3.3.1.x86_64 obsoletes
java-10-openjdk < 11.0.3.0-lp151.3.3.1 provided by
java-10-openjdk-10.0.2.0-lp151.2.3.2.x86_64
Solution 1: Following actions will be done:
downgrade of java-11-openjdk-11.0.3.0-lp151.3.3.1.x86_64 to
java-11-openjdk-11.0.3.0-lp151.2.1.x86_64
downgrade of java-11-openjdk-accessibility-11.0.3.0-lp151.3.3.1.x86_64 to
java-11-openjdk-accessibility-11.0.3.0-lp151.2.1.x86_64
Solution 2: do not install java-10-openjdk-10.0.2.0-lp151.2.3.2.x86_64

Choose from above solutions by number or cancel [1/2/c] (c):
=====================

So it is not possible to change the Java-Environment via update-alternatives

--
You are receiving this mail because:
You are on the CC list for the bug.
< Previous Next >
This Thread
  • No further messages